-------------------------------------------------------
-- 6bit point set a
-- 2010/6/9
-------------------------------------------------------
library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;

entity point6bitseta is
	port(
		in0			:in std_logic;
		in1			:in std_logic;
		in2			:in std_logic;
		in3			:in std_logic;
		in4			:in std_logic;
		in5			:in std_logic;
		pointout	:out std_logic
	);
end point6bitseta;

architecture rtl of point6bitseta is
	signal output_table	:std_logic_vector(5 downto 0);

begin

	output_table <= "110111";
	
	pointout <= (in0 and output_table(5)) or 
				(in1 and output_table(4)) or
				(in2 and output_table(3)) or
				(in3 and output_table(2)) or
				(in4 and output_table(1)) or
				(in5 and output_table(0));
end rtl;